Get Entities by ID
curl --request POST \
--url https://api.bigdata.com/v1/knowledge-graph/entities/id \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"values": [
"D8442A",
"3D4567",
"6BD43B",
"7373D4",
"FE1757"
]
}
'import requests
url = "https://api.bigdata.com/v1/knowledge-graph/entities/id"
payload = { "values": ["D8442A", "3D4567", "6BD43B", "7373D4", "FE1757"] }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({values: ['D8442A', '3D4567', '6BD43B', '7373D4', 'FE1757']})
};
fetch('https://api.bigdata.com/v1/knowledge-graph/entities/id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": {
"D8442A": {
"id": "D8442A",
"name": "Apple Inc.",
"description": "Apple Inc. (formerly Apple Computer Inc.), incorporated on January 03, 1977, designs, manufactures, and markets mobile communication and media devices, personal computing products, and portable digital music players worldwide.",
"type": "PUBLIC",
"country": "US",
"sector": "Technology",
"industry_group": "Computer Hardware",
"industry": "Computer Hardware",
"favicon": "http://www.apple.com/favicon.ico",
"webpage": "http://www.apple.com",
"isin_values": [
"CA03785Y1007",
"TH0150120408",
"TH0241121001",
"TH0809121500",
"US0378331005"
],
"cusip_values": [
"037833100",
"03785Y100",
"P0R684385",
"Y100G4352",
"Y49876132",
"Y689DP202"
],
"sedol_values": [
"2046251",
"BNC31R1",
"BPXWT99",
"BRC1SP0",
"BVBDDG1"
],
"listing_values": [
"XBKK:AAPL80",
"XNAS:AAPL"
],
"category": "companies"
},
"7373D4": {
"id": "7373D4",
"name": "iPhone",
"description": "iPhone is a line of smartphones designed and marketed by Apple Inc. It runs Apple's iOS mobile operating system.The first generation iPhone, aka Iphone 2G was revealed on January 9, 2007.",
"category": "products"
},
"3D4567": {
"id": "3D4567",
"name": "United States of America",
"description": "The United States of America is a country located in North America.",
"type": "Country",
"continent": "North America",
"country": "US",
"category": "places"
},
"6BD43B": {
"id": "6BD43B",
"name": "Tim Cook",
"description": "Timothy Donald Cook (born on the 1st of October 1960) is an American business executive who has been serving as the CEO of Apple Inc. since August 2011, succeeding Steve Jobs. He is known for his leadership in expanding Apple's product line and services.",
"position": "Chief Executive Officer",
"employer": "Apple Inc.",
"nationality": "American",
"gender": "Male",
"category": "people"
},
"FE1757": {
"id": "FE1757",
"name": "U.S. Dollar",
"description": "The U.S. Dollar is the official currency of the United States of America. It is also the currency of Bonaire, Saint Eustatius and Saba, Marshall Islands, Palau, Puerto Rico, Panama, British Virgin Islands, East Timor, Guam, Northern Mariana Islands, U.S. Virgin Islands, Micronesia, British Indian Ocean Territory, Zimbabwe, Ecuador, Turks and Caicos Islands, United States Minor Outlying Islands, American Samoa, El Salvador. It was introduced in 1792.",
"type_name": "Currency",
"category": "concepts"
}
},
"metadata": {
"request_id": "f9211cf6-3cd0-4cc7-9759-d33ed3f68a3f",
"timestamp": "2025-10-30T15:46:12.390150+00:00"
},
"usage": {
"knowledge_graph_tokens": 1
}
}Entities
Get Entities by ID
Retrieve entities by their RavenPack ID, a unique identifier used across the Bigdata.com ecosystem. Users can retrieve up to 100 entities per request.
POST
/
v1
/
knowledge-graph
/
entities
/
id
Get Entities by ID
Authorizations
Body
application/json
Request body for retrieving entities by RavenPack ID
Array of IDs (up to 100)
Maximum array length:
100Example:
[
"D8442A",
"3D4567",
"6BD43B",
"7373D4",
"FE1757"
]
Response
200 - application/json
Successful response with entity data
Response containing entity data mapped by RavenPack ID
Object containing RavenPack IDs as keys and entity data as values
Show child attributes
Show child attributes
Example:
{
"D8442A": {
"id": "D8442A",
"name": "Apple Inc.",
"description": "Apple Inc. (formerly Apple Computer Inc.), incorporated on January 03, 1977, designs, manufactures, and markets mobile communication and media devices, personal computing products, and portable digital music players worldwide.",
"type": "PUBLIC",
"country": "US",
"sector": "Technology",
"industry_group": "Computer Hardware",
"industry": "Computer Hardware",
"favicon": "http://www.apple.com/favicon.ico",
"webpage": "http://www.apple.com",
"isin_values": [
"CA03785Y1007",
"TH0150120408",
"TH0241121001",
"TH0809121500",
"US0378331005"
],
"cusip_values": [
"037833100",
"03785Y100",
"P0R684385",
"Y100G4352",
"Y49876132",
"Y689DP202"
],
"sedol_values": [
"2046251",
"BNC31R1",
"BPXWT99",
"BRC1SP0",
"BVBDDG1"
],
"listing_values": ["XBKK:AAPL80", "XNAS:AAPL"],
"category": "companies"
},
"7373D4": {
"id": "7373D4",
"name": "iPhone",
"description": "iPhone is a line of smartphones designed and marketed by Apple Inc. It runs Apple's iOS mobile operating system.The first generation iPhone, aka Iphone 2G was revealed on January 9, 2007.",
"category": "products"
},
"3D4567": {
"id": "3D4567",
"name": "United States of America",
"description": "The United States of America is a country located in North America.",
"type": "Country",
"continent": "North America",
"country": "US",
"category": "places"
},
"6BD43B": {
"id": "6BD43B",
"name": "Tim Cook",
"description": "Timothy Donald Cook (born on the 1st of October 1960) is an American business executive who has been serving as the CEO of Apple Inc. since August 2011, succeeding Steve Jobs. He is known for his leadership in expanding Apple's product line and services.",
"position": "Chief Executive Officer",
"employer": "Apple Inc.",
"nationality": "American",
"gender": "Male",
"category": "people"
},
"FE1757": {
"id": "FE1757",
"name": "U.S. Dollar",
"description": "The U.S. Dollar is the official currency of the United States of America. It is also the currency of Bonaire, Saint Eustatius and Saba, Marshall Islands, Palau, Puerto Rico, Panama, British Virgin Islands, East Timor, Guam, Northern Mariana Islands, U.S. Virgin Islands, Micronesia, British Indian Ocean Territory, Zimbabwe, Ecuador, Turks and Caicos Islands, United States Minor Outlying Islands, American Samoa, El Salvador. It was introduced in 1792.",
"type_name": "Currency",
"category": "concepts"
}
}
Show child attributes
Show child attributes
Optional. Present for token-billing accounts only. Reports the number of tokens consumed by this request.
Show child attributes
Show child attributes
Was this page helpful?
⌘I